
Name:          sun-sjsxp
Version:       1.0.2
Release:       %mkrel 3
Summary:       Sun Java Streaming XML Parser
Group:         Development/Java
License:       CDDL, GPL
Url:           http://sjsxp.java.net/
# svn export https://svn.java.net/svn/sjsxp~svn/tags/sjsxp-1_0_2/zephyr/ sjsxp-1.0.2 
# tar czf sjsxp-1.0.2-src-svn.tar.gz sjsxp-1.0.2
Source0:       sjsxp-1.0.2-src-svn.tar.gz
Source1:       sjsxp-1.0.2.pom

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: bea-stax-api
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: sax2
BuildRequires: xpp3
#BuildRequires: maven-repository-importer
#BuildRequires: sfx4j
Requires:      bea-stax-api
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Sun Java Streaming XML Parser (SJSXP) is an efficient implementation of the
StAX API which is fully compliant with the XML 1.0 and Namespace 1.0 specifications.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Sun Java Streaming XML Parser.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}
Requires:      %{name} = %{version}-%{release}

%description manual
Sun Java Streaming XML Parser (SJSXP).

This package contains documentation for %{name}.

%package samples
Group:         Development/Java
Summary:       Examples for %{name}
Requires:      %{name} = %{version}-%{release}

%description samples
Sun Java Streaming XML Parser (SJSXP).

This package contains demonstrations and
samples for %{name}.

%prep
%setup -q -n sjsxp-%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

ln -sf $(build-classpath ant) lib/optional.jar
ln -sf $(build-classpath junit) lib/junit.jar
ln -sf $(build-classpath bea-stax-api) lib/jsr173_1.0_api.jar
ln -sf $(build-classpath bea-stax-api) lib/jsr173_api.jar
ln -sf $(build-classpath sax2) lib/sax.jar
ln -sf $(build-classpath xpp3) lib/xpp3-1.1.3.4.G.jar

#ln -sf $(build-classpath maven-repository-importer) tools/lib/maven-repository-importer.jar
#ln -sf $(build-classpath sfx4j) util/sfx4j-1.0-RC2.jar

%build

export CLASSPATH=
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/junit`

ant jars javadocs

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/sjsxp.jar \
  %{buildroot}%{_javadir}/
install -pm 644 build/sjsxpSamples.jar \
  %{buildroot}%{_javadir}/sjsxpSamples.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf sjsxp.jar %{name}.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|<groupId>javax.xml.stream</groupId>|<groupId>stax</groupId>|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_datadir}/sjsxp/data
install -pm 644 build/data/*.xml %{buildroot}%{_datadir}/sjsxp/data/

mkdir -p %{buildroot}%{_docdir}/sjsxp
cp -pr LICENSE performance-ideas StAX-Project-Schedule.html TODO docs/* %{buildroot}%{_docdir}/sjsxp

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/javadocs/sjsxp/* %{buildroot}%{_javadocdir}/%{name}
cp -a  build/docs/javadocs/xni %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/%{name}.jar
%{_javadir}/sjsxp.jar
%{_datadir}/sjsxp
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_docdir}/sjsxp/LICENSE

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}

%files manual
%{_docdir}/sjsxp/*
%exclude %{_docdir}/sjsxp/LICENSE

%files samples
%{_javadir}/sjsxpSamples.jar

%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 383754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 gil <gil> 1.0.2-2.mga2
+ Revision: 195964
- build fix
  removed repolib
  rebuilt with bea-stax-api support
- imported package sun-sjsxp

  + dmorgan <dmorgan>
    - Clean spec file

